View Issue Details

IDProjectCategoryView StatusLast Update
0003875SOGoWeb Mailpublic2016-11-08 10:28
Reporternyda Assigned Tofrancis  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinux (x86_64)OSopenSUSEOS Version42.1
Product Version2.3.17 
Fixed in Version3.2.2 
Summary0003875: The mailboxes/folders could not be deleted. (dovecot: mbox format / tcpflow: Target mailbox doesn't allow inferior mailboxes)
Description

Hello everyone,

In the Webmail, i can create, rename, but not delete mailboxes (folder and subfolder).

With Thunderbird no problem for all operations on Mailboxes/folders...

I use Dovecot 2.2.18 with "mbox" Format !
mail_location = mbox:~/Mail:INBOX=/var/spool/mail/%u:INDEX=/var/dovecot-index/%u

with also the option : imap_client_workarounds = tb-extra-mailbox-sep (in 20-imap.conf).

*** SOGo 2.3.17 build from source (idem with 3.2.0 build from Git source)

Note: I have to keep the mbox format, i can not migrate to mdir format...

See below the outputs of tcpflow et sogo.log

Thank you so much.

nyda.

Steps To Reproduce

In the webmail
pop-up menu 'new-folder' on root account or on mailbox ==> ok

pop-up menu 'Delete folder' -> Confirmation... ==> "The folder could not be deleted".

Additional Information

*** SOGo Config file:


defaults write sogod SOGoTimeZone "Europe/Paris"
defaults write sogod SOGoLanguage French
defaults write sogod OCSFolderInfoURL "mysql://sogo:xxxx@localhost:3306/maildb/sogo_folder_info"
defaults write sogod SOGoProfileURL "mysql://sogo:xxxx@localhost:3306/maildb/sogo_user_profile"
defaults write sogod OCSSessionsFolderURL "mysql://sogo:xxxx@localhost:3306/mail_db/sogo_sessions_folder"
defaults write sogod SOGoUserSources '({canAuthenticate = YES; displayName = "SOGo Users"; id = users; isAddressBook = YES; type = sql; userPasswordAlgorithm = md5; viewURL ="mysql://sogo:xxx@localhost:3306/maildb/users";})'
defaults write sogod SOGoLoginModule Mail
defaults write sogod SOGoSieveScriptsEnabled YES
defaults write sogod SOGoVacationEnabled YES
defaults write sogod SOGoFirstDayOfWeek 1
defaults write sogod SOGoSieveServer sieve://localhost:4190
defaults write sogod SOGoIMAPServer localhost
defaults write sogod SOGoSMTPServer localhost
defaults write sogod SOGoSMTPAuthenticationType PLAIN
defaults write sogod SOGoMailingMechanism smtp
defaults write sogod SOGoMailAuxiliaryUserAccountsEnabled yes
defaults write sogod SOGoAddressBookDAVAccessEnabled NO
defaults write sogod SOGoCalendarDAVAccessEnabled NO
defaults write sogod SOGoSieveFolderEncoding UTF-8

** tcpflow output
tcpflow: listening on lo
127.000.000.001.00143-127.000.000.001.34853:
OK [CAPABILITY IMAP4rev1 LITERAL+ SASL-IR LOGIN-REFERRALS ID ENABLE IDLE STARTTLS AUTH=PLAIN AUTH=LOGIN] Dovecot ready.

127.000.000.001.34853-127.000.000.001.00143: 1 login "xxxx" "xxxx"

127.000.000.001.00143-127.000.000.001.34853: 1 OK [CAPABILITY IMAP4rev1 LITERAL+ SASL-IR LOGIN-REFERRALS ID ENABLE IDLE SORT SORT=DISPLAY THREAD=REFERENCES THREAD=REFS THREAD=ORDEREDSUBJECT MULTIAPPEND URL-PARTIAL CATENATE UNSELECT CHILDREN NAMESPACE UIDPLUS LIST-EXTENDED I18NLEVEL=1 CONDSTORE QRESYNC ESEARCH ESORT SEARCHRES WITHIN CONTEXT=SEARCH LIST-STATUS BINARY MOVE SPECIAL-USE QUOTA] Logged in

127.000.000.001.34853-127.000.000.001.00143: 2 capability

127.000.000.001.00143-127.000.000.001.34853: * CAPABILITY IMAP4rev1 LITERAL+ SASL-IR LOGIN-REFERRALS ID ENABLE IDLE SORT SORT=DISPLAY THREAD=REFERENCES THREAD=REFS THREAD=ORDEREDSUBJECT MULTIAPPEND URL-PARTIAL CATENATE UNSELECT CHILDREN NAMESPACE UIDPLUS LIST-EXTENDED I18NLEVEL=1 CONDSTORE QRESYNC ESEARCH ESORT SEARCHRES WITHIN CONTEXT=SEARCH LIST-STATUS BINARY MOVE SPECIAL-USE QUOTA
2 OK Capability completed.

127.000.000.001.34853-127.000.000.001.00143: 3 ID ("x-originating-ip" "212.27.48.10")

127.000.000.001.00143-127.000.000.001.34853: * ID ("name" "Dovecot")
3 OK ID completed

127.000.000.001.34853-127.000.000.001.00143: 4 namespace

127.000.000.001.00143-127.000.000.001.34853: * NAMESPACE (("" "/")) NIL NIL
4 OK Namespace completed.

127.000.000.001.34853-127.000.000.001.00143: 5 LIST "" ""

127.000.000.001.00143-127.000.000.001.34853: * LIST (\Noselect) "/" ""
5 OK List completed

127.000.000.001.34853-127.000.000.001.00143: 6 status "Trash" (UIDVALIDITY)

127.000.000.001.00143-127.000.000.001.34853: * STATUS Trash (UIDVALIDITY 1477575755)
6 OK Status completed (0.000 secs).

127.000.000.001.34853-127.000.000.001.00143: 7 select "Trash/test888"

127.000.000.001.00143-127.000.000.001.34853: 7 NO Mailbox doesn't exist: Trash/test888 (0.000 secs).

127.000.000.001.34853-127.000.000.001.00143: 8 select "INBOX"

127.000.000.001.34853-127.000.000.001.00143:

127.000.000.001.00143-127.000.000.001.34853: * FLAGS (\Answered \Flagged \Deleted \Seen \Draft NonJunk)

  • OK [PERMANENTFLAGS (\Answered \Flagged \Deleted \Seen \Draft NonJunk *)] Flags permitted.
  • 1 EXISTS
  • 0 RECENT
  • OK [UNSEEN 1] First unseen.
  • OK [UIDVALIDITY 1477575755] UIDs valid
  • OK [UIDNEXT 9] Predicted next UID
  • OK [HIGHESTMODSEQ 45] Highest
    8 OK [READ-WRITE] Select completed

127.000.000.001.34853-127.000.000.001.00143: 9 rename "test888" "Trash/test888"

127.000.000.001.00143-127.000.000.001.34853: 9 NO [CANNOT] Target mailbox doesn't allow inferior mailboxes (0.000 secs).

127.000.000.001.34853-127.000.000.001.00143: 10 logout

127.000.000.001.00143-127.000.000.001.34853: * BYE Logging out


*** tail /var/log/SOGo/sogod.log


S[0x55ef5c30f4d0]Oct 31 15:29:38 sogod [24047]: 212.27.48.10 "POST /SOGo/so/nyda/Mail/0/foldertest-555/unseenCount HTTP/1.1" 200 13/0 0.263 - - 0
: 1 OK [CAPABILITY IMAP4rev1 LITERAL+ SASL-IR LOGIN-REFERRALS ID ENABLE IDLE SORT SORT=DISPLAY THREAD=REFERENCES THREAD=REFS THREAD=ORDEREDSUBJECT MULTIAPPEND URL-PARTIAL CATENATE UNSELECT CHILDREN NAMESPACE UIDPLUS LIST-EXTENDED I18NLEVEL=1 CONDSTORE QRESYNC ESEARCH ESORT SEARCHRES WITHIN CONTEXT=SEARCH LIST-STATUS BINARY MOVE SPECIAL-USE QUOTA] Logged in
C[0x55ef5c5c38d0]: 2 capability
S[0x55ef5c30f4d0]: CAPABILITY IMAP4rev1 LITERAL+ SASL-IR LOGIN-REFERRALS ID ENABLE IDLE SORT SORT=DISPLAY THREAD=REFERENCES THREAD=REFS THREAD=ORDEREDSUBJECT MULTIAPPEND URL-PARTIAL CATENATE UNSELECT CHILDREN NAMESPACE UIDPLUS LIST-EXTENDED I18NLEVEL=1 CONDSTORE QRESYNC ESEARCH ESORT SEARCHRES WITHIN CONTEXT=SEARCH LIST-STATUS BINARY MOVE SPECIAL-USE QUOTA
S[0x55ef5c30f4d0]: 2 OK Capability completed.
C[0x55ef5c5c38d0]: 3 ID ("x-originating-ip" "212.27.48.10")
S[0x55ef5c30f4d0]:
ID ("name" "Dovecot")
S[0x55ef5c30f4d0]: 3 OK ID completed
C[0x55ef5c5c38d0]: 4 namespace
S[0x55ef5c30f4d0]: NAMESPACE (("" "/")) NIL NIL
S[0x55ef5c30f4d0]: 4 OK Namespace completed.
C[0x55ef5c5c38d0]: 5 LIST "" ""
S[0x55ef5c30f4d0]:
LIST (\Noselect) "/" ""
S[0x55ef5c30f4d0]: 5 OK List completed
C[0x55ef5c5c38d0]: 6 select "test-555"
S[0x55ef5c30f4d0]: FLAGS (\Answered \Flagged \Deleted \Seen \Draft)
S[0x55ef5c30f4d0]:
OK [PERMANENTFLAGS (\Answered \Flagged \Deleted \Seen \Draft *)] Flags permitted.
S[0x55ef5c30f4d0]: 0 EXISTS
S[0x55ef5c30f4d0]:
0 RECENT
S[0x55ef5c30f4d0]: OK [UIDVALIDITY 1477908798] UIDs valid
S[0x55ef5c30f4d0]:
OK [UIDNEXT 1] Predicted next UID
S[0x55ef5c30f4d0]: OK [HIGHESTMODSEQ 1] Highest
S[0x55ef5c30f4d0]: 6 OK [READ-WRITE] Select completed
C[0x55ef5c5c38d0]: 7 UID SEARCH (UNSEEN) (NOT DELETED)
S[0x55ef5c30f4d0]:
SEARCH
S[0x55ef5c30f4d0]: 7 OK Search completed
C[0x55ef5c5c38d0]: 8 logout
S[0x55ef5c30f4d0]: BYE Logging out
S[0x55ef5c1ff740]:
OK [CAPABILITY IMAP4rev1 LITERAL+ SASL-IR LOGIN-REFERRALS ID ENABLE IDLE STARTTLS AUTH=PLAIN AUTH=LOGIN] Dovecot ready.
C[0x55ef5c322780]: 1 login "xxxx" "xxxx"
S[0x55ef5c1ff740]: 1 OK [CAPABILITY IMAP4rev1 LITERAL+ SASL-IR LOGIN-REFERRALS ID ENABLE IDLE SORT SORT=DISPLAY THREAD=REFERENCES THREAD=REFS THREAD=ORDEREDSUBJECT MULTIAPPEND URL-PARTIAL CATENATE UNSELECT CHILDREN NAMESPACE UIDPLUS LIST-EXTENDED I18NLEVEL=1 CONDSTORE QRESYNC ESEARCH ESORT SEARCHRES WITHIN CONTEXT=SEARCH LIST-STATUS BINARY MOVE SPECIAL-USE QUOTA] Logged in
C[0x55ef5c322780]: 2 capability
S[0x55ef5c1ff740]: CAPABILITY IMAP4rev1 LITERAL+ SASL-IR LOGIN-REFERRALS ID ENABLE IDLE SORT SORT=DISPLAY THREAD=REFERENCES THREAD=REFS THREAD=ORDEREDSUBJECT MULTIAPPEND URL-PARTIAL CATENATE UNSELECT CHILDREN NAMESPACE UIDPLUS LIST-EXTENDED I18NLEVEL=1 CONDSTORE QRESYNC ESEARCH ESORT SEARCHRES WITHIN CONTEXT=SEARCH LIST-STATUS BINARY MOVE SPECIAL-USE QUOTA
S[0x55ef5c1ff740]: 2 OK Capability completed.
C[0x55ef5c322780]: 3 ID ("x-originating-ip" "212.27.48.10")
S[0x55ef5c1ff740]:
ID ("name" "Dovecot")
S[0x55ef5c1ff740]: 3 OK ID completed
C[0x55ef5c322780]: 4 namespace
S[0x55ef5c1ff740]: NAMESPACE (("" "/")) NIL NIL
S[0x55ef5c1ff740]: 4 OK Namespace completed.
C[0x55ef5c322780]: 5 LIST "" ""
S[0x55ef5c1ff740]:
LIST (\Noselect) "/" ""
S[0x55ef5c1ff740]: 5 OK List completed
C[0x55ef5c322780]: 6 status "Trash" (UIDVALIDITY)
S[0x55ef5c1ff740]: STATUS Trash (UIDVALIDITY 1477575755)
S[0x55ef5c1ff740]: 6 OK Status completed (0.000 secs).
C[0x55ef5c322780]: 7 select "Trash/test888"
S[0x55ef5c1ff740]: 7 NO Mailbox doesn't exist: Trash/test888 (0.000 secs).
C[0x55ef5c322780]: 8 select "INBOX"
S[0x55ef5c1ff740]:
FLAGS (\Answered \Flagged \Deleted \Seen \Draft NonJunk)
S[0x55ef5c1ff740]: OK [PERMANENTFLAGS (\Answered \Flagged \Deleted \Seen \Draft NonJunk *)] Flags permitted.
S[0x55ef5c1ff740]:
1 EXISTS
S[0x55ef5c1ff740]: 0 RECENT
S[0x55ef5c1ff740]:
OK [UNSEEN 1] First unseen.
S[0x55ef5c1ff740]: OK [UIDVALIDITY 1477575755] UIDs valid
S[0x55ef5c1ff740]:
OK [UIDNEXT 9] Predicted next UID
S[0x55ef5c1ff740]: * OK [HIGHESTMODSEQ 45] Highest
S[0x55ef5c1ff740]: 8 OK [READ-WRITE] Select completed
C[0x55ef5Oct 31 15:29:52 sogod [24047]: 212.27.48.10 "POST /SOGo/so/nyda/Mail/0/foldertest888/delete HTTP/1.1" 500 29/0 0.265 - - 0

TagsNo tags attached.

Activities

nyda

nyda

2016-11-08 02:01

reporter   ~0010822

Thank you, I tested with v3.2.0, it's perfect !

There there will be a patch for version 2.3.17 ?

Regards

francis

francis

2016-11-08 10:28

administrator   ~0010823

It's now fixed for both versions.

Related Changesets

sogo: master 0e0f53cd

2016-11-01 11:40:59

francis

Details Diff
Allow a mailbox to be deleted immediately

Fixes 0003875
Affected Issues
0003875
mod - NEWS Diff File
mod - UI/MailerUI/English.lproj/Localizable.strings Diff File
mod - UI/MailerUI/UIxMailFolderActions.m Diff File
mod - UI/WebServerResources/js/Mailer/Mailbox.service.js Diff File
mod - UI/WebServerResources/js/Mailer/MailboxController.js Diff File
mod - UI/WebServerResources/js/Mailer/MailboxesController.js Diff File

sogo: v2 7a628bac

2016-11-08 10:26:55

francis

Details Diff
Allow a mailbox to be deleted immediately

Fixes 0003875
Affected Issues
0003875
mod - UI/MailerUI/English.lproj/Localizable.strings Diff File
mod - UI/MailerUI/UIxMailFolderActions.m Diff File
mod - UI/WebServerResources/MailerUI.js Diff File

Issue History

Date Modified Username Field Change
2016-10-31 10:48 nyda New Issue
2016-11-01 11:41 francis Changeset attached => sogo master 0e0f53cd
2016-11-01 11:41 francis Assigned To => francis
2016-11-01 11:41 francis Resolution open => fixed
2016-11-08 02:01 nyda Note Added: 0010822
2016-11-08 10:27 francis Changeset attached => sogo v2 7a628bac
2016-11-08 10:28 francis Note Added: 0010823
2016-11-08 10:28 francis Status new => resolved
2016-11-08 10:28 francis Fixed in Version => 3.2.2